public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-http/
Date: Tue, 18 Dec 2018 00:51:41 +0000 (UTC)	[thread overview]
Message-ID: <1545094291.fece8024491332148bb4bc7150389950747f441e.whissi@gentoo> (raw)

commit:     fece8024491332148bb4bc7150389950747f441e
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 18 00:29:12 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Dec 18 00:51:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fece8024

dev-php/pecl-http: bump to v3.2.0

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/pecl-http/Manifest               |  1 +
 dev-php/pecl-http/pecl-http-3.2.0.ebuild | 76 ++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-php/pecl-http/Manifest b/dev-php/pecl-http/Manifest
index d48ddbd2f18..a065727cc7c 100644
--- a/dev-php/pecl-http/Manifest
+++ b/dev-php/pecl-http/Manifest
@@ -1,2 +1,3 @@
 DIST pecl_http-2.6.0.tgz 217673 BLAKE2B a7147924cfc018c3e273d85666d9792ea614955d0aa20ac43171266d91d139dccdbf2472dec4d145b798ce99a541dba48f7bed6009fbdf2a7ad81ab322963788 SHA512 12d18049411a4133008449a1e7458a3055322dc337f421e0e2be126ec965f15b0189af6fccd9ca4537c48819c763b9e020906ac6d09d87ead92f4436fac595ad
 DIST pecl_http-3.1.0.tgz 214166 BLAKE2B 2f84fc9f5f7d465142e3482a9ee46b9dd80dd2b5ec58ad1d8d4fb18a665ebe70e4f872b8915c3a84484a3b1cd0709b39bf6170c6f1c6175aef7d43bac44aa3df SHA512 1c272aa476106bb61848f175f0ba6715b3d8928f70cdac1a673cc87c2dc780dff5434a3bc595d5e8a1ef7b847a1d2e214f9e9ae80b8b5d1f80a299febc85b0ea
+DIST pecl_http-3.2.0.tgz 218829 BLAKE2B bbd6f9fe8afb4324d928496e1fbcdd455e8bff5e45312ba65e5e9263719b098763203de055ea8a8ff6202ae4a434d37db25bb0975faacc956af4a0c6e8bfe8a1 SHA512 59738ee52370c68f7e74349d52738da845cfb83ae27b51a2caf3b048ba0b37c897702d7f5f8e0517df5612fd2e904d02e8e24c9e649a9e7cfdcdc04e9d19b113

diff --git a/dev-php/pecl-http/pecl-http-3.2.0.ebuild b/dev-php/pecl-http/pecl-http-3.2.0.ebuild
new file mode 100644
index 00000000000..e10f0ddf53c
--- /dev/null
+++ b/dev-php/pecl-http/pecl-http-3.2.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PHP_EXT_NAME="http"
+PHP_EXT_PECL_PKG="pecl_http"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+PHP_INI_NAME="50-http"
+
+USE_PHP="php5-6 php7-0 php7-1 php7-2 php7-3"
+
+inherit php-ext-pecl-r3
+
+USE_PHP="php7-0 php7-1 php7-2 php7-3"
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="Extended HTTP Support for PHP"
+LICENSE="BSD-2 MIT"
+SLOT="7"
+IUSE="ssl curl_ssl_gnutls curl_ssl_libressl curl_ssl_nss +curl_ssl_openssl"
+
+DEPEND="app-arch/brotli:=
+	dev-libs/libevent
+	dev-php/pecl-propro:7[php_targets_php5-6?,php_targets_php7-0?,php_targets_php7-1?,php_targets_php7-2?]
+	dev-php/pecl-raphf:7[php_targets_php5-6?,php_targets_php7-0?,php_targets_php7-1?,php_targets_php7-2?]
+	net-dns/libidn2
+	sys-libs/zlib
+	ssl? ( net-misc/curl[ssl,curl_ssl_gnutls=,curl_ssl_libressl=,curl_ssl_nss=,curl_ssl_openssl=] )
+	!ssl? ( net-misc/curl[-ssl] )
+	php_targets_php7-0? ( dev-lang/php:7.0[hash,session,iconv] )
+	php_targets_php7-1? ( dev-lang/php:7.1[hash,session,iconv] )
+	php_targets_php7-2? ( dev-lang/php:7.2[hash,session,iconv] )
+	php_targets_php7-3? ( dev-lang/php:7.3[hash,session,iconv] )"
+RDEPEND="${DEPEND}
+	php_targets_php5-6? ( dev-php/pecl-http:2[php_targets_php5-6] )"
+
+PHP_EXT_ECONF_ARGS=( --with-http --without-http-shared-deps --without-http-libidn-dir )
+
+src_prepare() {
+	if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 || use php_targets_php7-3 ; then
+		php-ext-source-r3_src_prepare
+	else
+		default_src_prepare
+	fi
+}
+
+src_install() {
+	if use php_targets_php7-0 || use php_targets_php7-1 || use php_targets_php7-2 || use php_targets_php7-3 ; then
+		php-ext-pecl-r3_src_install
+	fi
+}
+
+src_test() {
+	# Cannot use eclass function due to required modules
+	# All tests SKIP otherwise
+	for slot in $(php_get_slots); do
+		php_init_slot_env "${slot}"
+		# Link in required modules for testing
+		ln -s "${EXT_DIR}/propro.so" "modules/propro.so" || die
+		ln -s "${EXT_DIR}/raphf.so" "modules/raphf.so" || die
+		sed -i \
+			's/PHP_TEST_SHARED_EXTENSIONS)/PHP_TEST_SHARED_EXTENSIONS) -d extension=propro.so -d extension=raphf.so/' \
+			Makefile || die
+		NO_INTERACTION="yes" emake test
+		# Clean up testing links
+		rm modules/propro.so modules/raphf.so || die
+	done
+}
+
+pkg_postinst() {
+	ewarn "This API has drastically changed and is not compatible with the 1.x syntax."
+	ewarn "Please review the documentation and update your code."
+}


             reply	other threads:[~2018-12-18  0:51 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-18  0:51 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-25  5:36 [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-http/ Sam James
2023-07-27 18:49 Michael Orlitzky
2023-07-05  4:19 Sam James
2023-07-05  4:19 Sam James
2023-07-05  4:19 Sam James
2023-07-05  4:19 Sam James
2022-06-30 14:32 Brian Evans
2022-06-30 14:04 Brian Evans
2022-04-12 13:24 Brian Evans
2022-04-11 18:03 Brian Evans
2021-10-23 12:46 Brian Evans
2021-10-23  7:44 Agostino Sarubbo
2021-10-21  4:40 Agostino Sarubbo
2021-09-22 14:51 Brian Evans
2021-05-19 15:08 Brian Evans
2021-05-18 18:37 Thomas Deutschmann
2021-05-01 18:07 Sam James
2021-02-01 15:44 Brian Evans
2021-02-01 15:44 Brian Evans
2021-01-21  2:49 Brian Evans
2021-01-21  2:49 Brian Evans
2020-12-10 20:26 Brian Evans
2019-12-13  0:07 Thomas Deutschmann
2019-12-05 19:02 Brian Evans
2019-12-02 14:10 Thomas Deutschmann
2019-11-28 22:48 Thomas Deutschmann
2019-11-17 21:01 Thomas Deutschmann
2019-06-07 14:14 Thomas Deutschmann
2018-05-18 20:11 Brian Evans
2018-01-29 16:44 Brian Evans
2017-10-09 13:22 Brian Evans
2017-03-19 17:32 Michael Orlitzky
2017-03-19 17:32 Michael Orlitzky
2017-02-23 16:30 Agostino Sarubbo
2017-02-22 15:06 Agostino Sarubbo
2016-12-28 21:20 Brian Evans
2016-11-24  2:03 Michael Orlitzky
2016-11-19 13:55 Agostino Sarubbo
2016-11-19 13:53 Agostino Sarubbo
2016-08-23 20:58 Brian Evans
2016-07-13 14:41 Brian Evans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1545094291.fece8024491332148bb4bc7150389950747f441e.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox